List webhook delivery logs

Returns a webhook endpoint's deliveries, newest first, each naming the event type and time it was made for, with its nested attempt diagnostics.

GET
/v1/webhooks/{id}/logs

Returns a webhook endpoint's deliveries, newest first, each naming the event type and time it was made for, with its nested attempt diagnostics. A replay of a terminal delivery records a skipped replay receipt without another HTTP request or a change to its automatic retry lifecycle. Pass nextCursor back as cursor for the next page; it is null on the last page.

Authorization

apiKey
headerx-api-key<token>

Path Parameters

id*string
Match^wep_[0-9a-hjkmnp-tv-z]{16,24}$

Query Parameters

limit?|null
cursor?string

Response Body

WebhookDeliveryPage

application/json
  1. response
items*array<>
nextCursor*string|null
Example Request
import { createClient } from "samva";const samva = createClient({ apiKey: process.env.SAMVA_API_KEY! });const result = await samva.webhooks.getLogs({  "id": "example"});
Example Response
{  "items": [    {      "id": "string",      "eventId": "string",      "eventType": "string",      "occurredAt": "string",      "endpointId": "string",      "status": "pending",      "automaticAttempts": 0,      "nextAttemptAt": "string",      "completedAt": "string",      "createdAt": "string",      "updatedAt": "string",      "attempts": [        {          "id": "string",          "deliveryId": "string",          "kind": "automatic",          "queueMessageId": "string",          "attemptNumber": 1,          "classification": "success",          "attemptedAt": "string",          "responseStatus": -9007199254740991,          "responseHeaders": {            "property1": "string",            "property2": "string"          },          "durationMs": 0,          "errorCode": "string",          "errorMessage": "string",          "createdAt": "string"        }      ]    }  ],  "nextCursor": "string"}

Related documentation